Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.gui
Class KeyEventTranslator.Key

    java.lang.Object
      org.gjt.sp.jedit.gui.KeyEventTranslator.Key

Enclosing class:
  KeyEventTranslator

    public static class KeyEventTranslator.Key

extends java.lang.Object

Field Summary
`char` | `input`
`protected boolean` | `isFromGlobalContext` Wether this Key event applies to all jEdit windows (and not only a specific jEdit GUI component).
`int` | `key`
`java.lang.String` | `modifiers`

Constructor Summary
`KeyEventTranslator.Key(java.lang.String modifiers, int key, char input)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`boolean` | `isFromGlobalContext()`
`void` | `setIsFromGlobalContext(boolean to)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### modifiers

    public final java.lang.String modifiers

### key

    public final int key

### input

    public final char input

### isFromGlobalContext

    protected boolean isFromGlobalContext

  Wether this Key event applies to all jEdit windows (and not only a specific jEdit GUI component).

Constructor Detail

### KeyEventTranslator.Key

    public KeyEventTranslator.Key(java.lang.String modifiers,
                                  int key,
                                  char input)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setIsFromGlobalContext

    public void setIsFromGlobalContext(boolean to)

### isFromGlobalContext

    public boolean isFromGlobalContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD